--- /dev/null
+#!/bin/bash
+
+function build_xsede()
+{
+ pushd ~/xsede/code/cak0l/trunk
+ ant -Dbuild.targetArch=64 build
+ # fix memory limits.
+#hmmm: clean these up.
+ if [ -f runContainer.sh ]; then
+ sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.sh"
+ chmod 755 "runContainer.sh"
+ fi
+ if [ -f grid ]; then
+# sed -i -e "s/-Xmx512M/-Xmx1G/" "grid"
+ chmod 755 "grid"
+ fi
+ if [ -f runContainer.bat ]; then
+ sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.bat"
+ chmod 755 "runContainer.bat"
+ fi
+ if [ -f grid.bat ]; then
+# sed -i -e "s/-Xmx512M/-Xmx1G/" "grid.bat"
+ chmod 755 "grid.bat"
+ fi
+ popd
+}
+
+function rebuild_xsede()
+{
+ pushd ~/xsede/code/cak0l/trunk
+ ant clean
+ popd
+ build_xsede
+}
+
--- /dev/null
+
+# some aliases that i don't expect very many people to ever want. they are
+# based on some of the mount configurations available at home or abroad.
+
+# moo and unmoo mount the local folders i use most.
+alias moo='check_mount /z/stuffing ; check_mount /z/walrus ; check_mount /z/chunky '
+alias unmoo='umount /z/stuffing ; umount /z/walrus ; umount /z/chunky '
+
+# cleans up the ownership for all my files.
+alias refred='(chown -R fred:fred /home/fred /home/games /home/archives ; normal_perm /var/log )'
+
+
--- /dev/null
+
+# these are my personal overrides. --fred.
+
+if [ -z "$NETHACKOPTIONS" ]; then
+ # if we don't see the nethack variable defined, this probably hasn't run yet.
+
+ # The quartz directory has *really* personalized items.
+ export QUARTZDIR=$HOME/quartz
+
+ # The cloud directory is our new repository that's always available. It serves as our
+ # personal cloud for data.
+ export CLOUD_DIR=$HOME/cloud
+
+ # The gruntose web site is expected to reside below, if it exists at all.
+ export WEB_DIR=$HOME/web
+ if [ "$(hostname)" = "zooty.koeritz.com" ]; then
+ export WEB_DIR=/var/www
+ fi
+
+ # add a bunch of folders to the list for checkin & checkout. these are
+ # definitely personal, and some of them are fairly dated (the yeti and
+ # hoople folders, for example).
+ REPOSITORY_LIST+=" cloud ebooks hoople hoople1 hoople2 inova_codebase quartz web yeti xsede/xsede_tests xsede/code/cak0l xsede/docs"
+
+ # point to our local certificate for ssh usage.
+ export SVN_SSH="ssh -i $HOME/.ssh/id_dsa_sourceforge"
+
+ # Error and success noises for CLAM.
+ export CLAM_ERROR_SOUND='/z/walrus/media/sounds/effects/bwaaang.wav /z/walrus/media/sounds/cartoons/doh4.wav'
+ export CLAM_FINISH_SOUND='/z/walrus/media/sounds/cartoons/meepmeep.wav'
+
+ # Setup for nethack adventure.
+ export NETHACKOPTIONS='name:Manjusri-W,dogname:Fred,catname:Zonker'
+
+ # mail setup for home machines.
+ export REPLYTO=fred@gruntose.com
+ export from="Fred T. Hamster <fred@gruntose.com>"
+
+ # set our browser for seti and others that use the variable.
+ export BROWSER=/usr/bin/firefox
+
+ # editor and other mixed settings...
+ export EDITOR="$(which vi)"
+ export VISUAL="$EDITOR"
+ # the editors for revision control must wait while document is edited,
+ # so gvim and others launched to x window are not appropriate.
+ export GIT_EDITOR="$EDITOR"
+ export SVN_EDITOR="$EDITOR"
+
+ # this hideous mess is necessitated by our not having found the source of the
+ # settings yet. we override a few colors that look bad on a dark background.
+ export LS_COLORS='no=00:fi=00:di=01;37:ln=00;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=41;33;01:ex=00;32:*.cmd=00;32:*.exe=01;32:*.com=01;32:*.bat=01;32:*.btm=01;32:*.dll=01;32:*.tar=00;31:*.tbz=00;31:*.tgz=00;35:*.rpm=00;33:*.deb=00;33:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.zip=00;35:*.zoo=00;31:*.z=00;31:*.Z=00;31:*.gz=00;35:*.bz2=00;31:*.tb2=00;31:*.tz2=00;31:*.tbz2=00;31:*.avi=01;35:*.bmp=01;35:*.fli=01;35:*.gif=01;35:*.jpg=01;35:*.jpeg=01;35:*.mng=01;35:*.mov=01;35:*.mpg=01;35:*.pcx=01;35:*.pbm=01;35:*.pgm=01;35:*.png=01;35:*.ppm=01;35:*.tga=01;35:*.tif=01;35:*.xbm=01;35:*.xpm=01;35:*.dl=01;35:*.gl=01;35:*.wmv=01;35:*.aiff=00;32:*.au=00;32:*.mid=00;32:*.mp3=00;32:*.ogg=00;32:*.voc=00;32:*.wav=00;32:'
+
+ # we set this to avoid paying for slow app signing on win32.
+ export NO_SIGNING=true
+fi
+
+
--- /dev/null
+#!/bin/bash
+
+# Author: Chris Koeritz
+
+# this script tries to intuit where java is installed on this machine.
+
+############################
+
+function whichable()
+{
+ to_find="$1"; shift
+ which which &>/dev/null
+ if [ $? -ne 0 ]; then
+ # there is no which command here. we produce nothing due to this.
+ echo
+ fi
+ echo $(which $to_find)
+}
+
+# this reports when we have totally failed to figure out where a folder
+# is actually located on the machine.
+function intuition_failure()
+{
+ missing="$1"; shift
+ if [ ! -z "$SHELL_DEBUG" ]; then
+ echo "Could not intuit '$missing' variable."
+ fi
+ # remove the variable because its value is busted.
+ unset $missing
+}
+
+############################
+
+# set some fairly liberal limits for ant.
+export ANT_OPTS="-Xms512m -Xmx768m -XX:MaxPermSize=768m"
+
+############################
+
+# start guessing some settings...
+
+# this bin portion works for most javas...
+export JAVA_BIN_PIECE=bin
+
+if [ ! -d "$JAVA_HOME" ]; then
+ # first try a recent linux version.
+ export JAVA_HOME=/usr/lib/jvm/java-6-sun/jre
+fi
+if [ ! -d "$JAVA_HOME" ]; then
+ # try an even more recent version.
+ export JAVA_HOME=/usr/lib/jvm/java-7-oracle/jre
+fi
+if [ ! -d "$JAVA_HOME" ]; then
+ JAVA_HOME="$(ls -d c:/tools/*jdk* 2>/dev/null)"
+fi
+if [ ! -d "$JAVA_HOME" ]; then
+ if [ ! -z "$(grep -i 'd:' /proc/mounts 2>/dev/null)" ]; then
+ # try using a windows version.
+ JAVA_HOME="$(ls -d d:/tools/*jdk* 2>/dev/null)"
+ fi
+fi
+# this should go last, since it changes the bin dir.
+if [ ! -d "$JAVA_HOME" ]; then
+ # if that didn't work, try the location for mac os x.
+ JAVA_HOME=/Library/Java/Home
+ JAVA_BIN_PIECE=Commands
+fi
+# last thing is to tell them we couldn't find it.
+if [ ! -d "$JAVA_HOME" ]; then
+ unset JAVA_HOME
+ unset JAVA_BIN_PIECE
+ if [ -z "$(whichable java 2>/dev/null)" ]; then
+ intuition_failure JAVA_HOME
+ fi
+fi
+
+############################
+
+# intuit where we have our local eclipse.
+if [ ! -d "$ECLIPSE_DIR" ]; then
+ export ECLIPSE_DIR=/usr/local/eclipse_jee
+fi
+if [ ! -d "$ECLIPSE_DIR" ]; then
+ ECLIPSE_DIR=$HOME/eclipse
+fi
+if [ ! -d "$ECLIPSE_DIR" ]; then
+ ECLIPSE_DIR=$HOME/apps/eclipse
+fi
+if [ ! -d "$ECLIPSE_DIR" ]; then
+ ECLIPSE_DIR="c:/tools/eclipse"
+fi
+if [ ! -d "$ECLIPSE_DIR" ]; then
+ if [ ! -z "$(grep -i 'd:' /proc/mounts)" ]; then
+ ECLIPSE_DIR="d:/tools/eclipse"
+ fi
+fi
+if [ ! -d "$ECLIPSE_DIR" ]; then
+ if [ ! -z "$(grep -i 'e:' /proc/mounts)" ]; then
+ ECLIPSE_DIR="e:/tools/eclipse"
+ fi
+fi
+# final option is to whine.
+if [ ! -d "$ECLIPSE_DIR" ]; then
+ unset ECLIPSE_DIR
+else
+ if [ ! -z "$(uname -a | grep -i cygwin)" ]; then
+ # fix the path for cygwin's bizarre requirement of /cygdrive/X.
+ ECLIPSE_DIR=$(echo $ECLIPSE_DIR | sed -e 's/^\(.\):/\/cygdrive\/\1/')
+ fi
+fi
+if [ -z "$ECLIPSE_DIR" -a -z "$(whichable eclipse 2>/dev/null)" ]; then
+ intuition_failure ECLIPSE_DIR
+fi
+
+############################
+
+# use the variables we just set in our path, and try to make them override
+# any other paths to different versions.
+
+if [ ! -z "$JAVA_HOME" ]; then
+ j="$JAVA_HOME"
+ if [ ! -z "$(uname -a | grep -i cygwin)" ]; then
+ j=$(echo $j | sed -e 's/^\(.\):/\/cygdrive\/\1/')
+ fi
+ export PATH=$j/$JAVA_BIN_PIECE:$PATH
+fi
+if [ ! -z "$ECLIPSE_DIR" ]; then
+ e="$ECLIPSE_DIR"
+ if [ ! -z "$(uname -a | grep -i cygwin)" ]; then
+ e=$(echo $e | sed -e 's/^\(.\):/\/cygdrive\/\1/')
+ fi
+ export PATH=$e:$PATH
+fi
+
+############################
+
+
--- /dev/null
+
+this folder has some examples of how various people (or one person right now)
+do their custom scripts.
+
+the folder can have alias files (ending in .alias) that are written in bash,
+and it can also have shell scripts that are sourced into the main-line of
+script initialization (any files ending in .sh).
+
+when you have some custom scripts you want to use, copy them from your own
+folder to the $FEISTY_MEOW_GENERATED/custom directory.
+
+++ /dev/null
-#!/bin/bash
-
-function build_xsede()
-{
- pushd ~/xsede/code/cak0l/trunk
- ant -Dbuild.targetArch=64 build
- # fix memory limits.
-#hmmm: clean these up.
- if [ -f runContainer.sh ]; then
- sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.sh"
- chmod 755 "runContainer.sh"
- fi
- if [ -f grid ]; then
-# sed -i -e "s/-Xmx512M/-Xmx1G/" "grid"
- chmod 755 "grid"
- fi
- if [ -f runContainer.bat ]; then
- sed -i -e "s/-Xmx512M/-Xmx2G/" "runContainer.bat"
- chmod 755 "runContainer.bat"
- fi
- if [ -f grid.bat ]; then
-# sed -i -e "s/-Xmx512M/-Xmx1G/" "grid.bat"
- chmod 755 "grid.bat"
- fi
- popd
-}
-
-function rebuild_xsede()
-{
- pushd ~/xsede/code/cak0l/trunk
- ant clean
- popd
- build_xsede
-}
-
+++ /dev/null
-
-# some aliases that i don't expect very many people to ever want. they are
-# based on some of the mount configurations available at home or abroad.
-
-# moo and unmoo mount the local folders i use most.
-alias moo='check_mount /z/stuffing ; check_mount /z/walrus ; check_mount /z/chunky '
-alias unmoo='umount /z/stuffing ; umount /z/walrus ; umount /z/chunky '
-
-# cleans up the ownership for all my files.
-alias refred='(chown -R fred:fred /home/fred /home/games /home/archives ; normal_perm /var/log )'
-
-
+++ /dev/null
-
-# these are my personal overrides. --fred.
-
-if [ -z "$NETHACKOPTIONS" ]; then
- # if we don't see the nethack variable defined, this probably hasn't run yet.
-
- # The quartz directory has *really* personalized items.
- export QUARTZDIR=$HOME/quartz
-
- # The cloud directory is our new repository that's always available. It serves as our
- # personal cloud for data.
- export CLOUD_DIR=$HOME/cloud
-
- # The gruntose web site is expected to reside below, if it exists at all.
- export WEB_DIR=$HOME/web
- if [ "$(hostname)" = "zooty.koeritz.com" ]; then
- export WEB_DIR=/var/www
- fi
-
- # add a bunch of folders to the list for checkin & checkout. these are
- # definitely personal, and some of them are fairly dated (the yeti and
- # hoople folders, for example).
- REPOSITORY_LIST+=" cloud ebooks hoople hoople1 hoople2 inova_codebase quartz web yeti xsede/xsede_tests xsede/code/cak0l xsede/docs"
-
- # point to our local certificate for ssh usage.
- export SVN_SSH="ssh -i $HOME/.ssh/id_dsa_sourceforge"
-
- # Error and success noises for CLAM.
- export CLAM_ERROR_SOUND='/z/walrus/media/sounds/effects/bwaaang.wav /z/walrus/media/sounds/cartoons/doh4.wav'
- export CLAM_FINISH_SOUND='/z/walrus/media/sounds/cartoons/meepmeep.wav'
-
- # Setup for nethack adventure.
- export NETHACKOPTIONS='name:Manjusri-W,dogname:Fred,catname:Zonker'
-
- # mail setup for home machines.
- export REPLYTO=fred@gruntose.com
- export from="Fred T. Hamster <fred@gruntose.com>"
-
- # set our browser for seti and others that use the variable.
- export BROWSER=/usr/bin/firefox
-
- # editor and other mixed settings...
- export EDITOR="$(which vi)"
- export VISUAL="$EDITOR"
- # the editors for revision control must wait while document is edited,
- # so gvim and others launched to x window are not appropriate.
- export GIT_EDITOR="$EDITOR"
- export SVN_EDITOR="$EDITOR"
-
- # this hideous mess is necessitated by our not having found the source of the
- # settings yet. we override a few colors that look bad on a dark background.
- export LS_COLORS='no=00:fi=00:di=01;37:ln=00;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=41;33;01:ex=00;32:*.cmd=00;32:*.exe=01;32:*.com=01;32:*.bat=01;32:*.btm=01;32:*.dll=01;32:*.tar=00;31:*.tbz=00;31:*.tgz=00;35:*.rpm=00;33:*.deb=00;33:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.zip=00;35:*.zoo=00;31:*.z=00;31:*.Z=00;31:*.gz=00;35:*.bz2=00;31:*.tb2=00;31:*.tz2=00;31:*.tbz2=00;31:*.avi=01;35:*.bmp=01;35:*.fli=01;35:*.gif=01;35:*.jpg=01;35:*.jpeg=01;35:*.mng=01;35:*.mov=01;35:*.mpg=01;35:*.pcx=01;35:*.pbm=01;35:*.pgm=01;35:*.png=01;35:*.ppm=01;35:*.tga=01;35:*.tif=01;35:*.xbm=01;35:*.xpm=01;35:*.dl=01;35:*.gl=01;35:*.wmv=01;35:*.aiff=00;32:*.au=00;32:*.mid=00;32:*.mp3=00;32:*.ogg=00;32:*.voc=00;32:*.wav=00;32:'
-
- # we set this to avoid paying for slow app signing on win32.
- export NO_SIGNING=true
-fi
-
-
+++ /dev/null
-#!/bin/bash
-
-# Author: Chris Koeritz
-
-# this script tries to intuit where java is installed on this machine.
-
-############################
-
-function whichable()
-{
- to_find="$1"; shift
- which which &>/dev/null
- if [ $? -ne 0 ]; then
- # there is no which command here. we produce nothing due to this.
- echo
- fi
- echo $(which $to_find)
-}
-
-# this reports when we have totally failed to figure out where a folder
-# is actually located on the machine.
-function intuition_failure()
-{
- missing="$1"; shift
- if [ ! -z "$SHELL_DEBUG" ]; then
- echo "Could not intuit '$missing' variable."
- fi
- # remove the variable because its value is busted.
- unset $missing
-}
-
-############################
-
-# set some fairly liberal limits for ant.
-export ANT_OPTS="-Xms512m -Xmx768m -XX:MaxPermSize=768m"
-
-############################
-
-# start guessing some settings...
-
-# this bin portion works for most javas...
-export JAVA_BIN_PIECE=bin
-
-if [ ! -d "$JAVA_HOME" ]; then
- # first try a recent linux version.
- export JAVA_HOME=/usr/lib/jvm/java-6-sun/jre
-fi
-if [ ! -d "$JAVA_HOME" ]; then
- # try an even more recent version.
- export JAVA_HOME=/usr/lib/jvm/java-7-oracle/jre
-fi
-if [ ! -d "$JAVA_HOME" ]; then
- JAVA_HOME="$(ls -d c:/tools/*jdk* 2>/dev/null)"
-fi
-if [ ! -d "$JAVA_HOME" ]; then
- if [ ! -z "$(grep -i 'd:' /proc/mounts 2>/dev/null)" ]; then
- # try using a windows version.
- JAVA_HOME="$(ls -d d:/tools/*jdk* 2>/dev/null)"
- fi
-fi
-# this should go last, since it changes the bin dir.
-if [ ! -d "$JAVA_HOME" ]; then
- # if that didn't work, try the location for mac os x.
- JAVA_HOME=/Library/Java/Home
- JAVA_BIN_PIECE=Commands
-fi
-# last thing is to tell them we couldn't find it.
-if [ ! -d "$JAVA_HOME" ]; then
- unset JAVA_HOME
- unset JAVA_BIN_PIECE
- if [ -z "$(whichable java 2>/dev/null)" ]; then
- intuition_failure JAVA_HOME
- fi
-fi
-
-############################
-
-# intuit where we have our local eclipse.
-if [ ! -d "$ECLIPSE_DIR" ]; then
- export ECLIPSE_DIR=/usr/local/eclipse_jee
-fi
-if [ ! -d "$ECLIPSE_DIR" ]; then
- ECLIPSE_DIR=$HOME/eclipse
-fi
-if [ ! -d "$ECLIPSE_DIR" ]; then
- ECLIPSE_DIR=$HOME/apps/eclipse
-fi
-if [ ! -d "$ECLIPSE_DIR" ]; then
- ECLIPSE_DIR="c:/tools/eclipse"
-fi
-if [ ! -d "$ECLIPSE_DIR" ]; then
- if [ ! -z "$(grep -i 'd:' /proc/mounts)" ]; then
- ECLIPSE_DIR="d:/tools/eclipse"
- fi
-fi
-if [ ! -d "$ECLIPSE_DIR" ]; then
- if [ ! -z "$(grep -i 'e:' /proc/mounts)" ]; then
- ECLIPSE_DIR="e:/tools/eclipse"
- fi
-fi
-# final option is to whine.
-if [ ! -d "$ECLIPSE_DIR" ]; then
- unset ECLIPSE_DIR
-else
- if [ ! -z "$(uname -a | grep -i cygwin)" ]; then
- # fix the path for cygwin's bizarre requirement of /cygdrive/X.
- ECLIPSE_DIR=$(echo $ECLIPSE_DIR | sed -e 's/^\(.\):/\/cygdrive\/\1/')
- fi
-fi
-if [ -z "$ECLIPSE_DIR" -a -z "$(whichable eclipse 2>/dev/null)" ]; then
- intuition_failure ECLIPSE_DIR
-fi
-
-############################
-
-# use the variables we just set in our path, and try to make them override
-# any other paths to different versions.
-
-if [ ! -z "$JAVA_HOME" ]; then
- j="$JAVA_HOME"
- if [ ! -z "$(uname -a | grep -i cygwin)" ]; then
- j=$(echo $j | sed -e 's/^\(.\):/\/cygdrive\/\1/')
- fi
- export PATH=$j/$JAVA_BIN_PIECE:$PATH
-fi
-if [ ! -z "$ECLIPSE_DIR" ]; then
- e="$ECLIPSE_DIR"
- if [ ! -z "$(uname -a | grep -i cygwin)" ]; then
- e=$(echo $e | sed -e 's/^\(.\):/\/cygdrive\/\1/')
- fi
- export PATH=$e:$PATH
-fi
-
-############################
-
-
+++ /dev/null
-
-this folder has some examples of how various people (or one person right now)
-do their custom scripts.
-
-the folder can have alias files (ending in .alias) that are written in bash,
-and it can also have shell scripts that are sourced into the main-line of
-script initialization (any files ending in .sh).
-
-when you have some custom scripts you want to use, copy them from your own
-folder to the $FEISTY_MEOW_GENERATED/custom directory.
-
alias bye='. $FEISTY_MEOW_SCRIPTS/users/goodbye.sh'
alias cputemp='acpi -t'
# redoes fred's set of custom scripts.
-alias recustomize='regenerate >/dev/null; echo "copying custom overrides for fred..."; cpdiff $FEISTY_MEOW_DIR/examples/custom_overrides/fred $FEISTY_MEOW_GENERATED/custom; regenerate'
+alias recustomize='regenerate >/dev/null; echo "copying custom overrides for fred..."; cpdiff $FEISTY_MEOW_DIR/customizing/fred $FEISTY_MEOW_GENERATED/custom; regenerate'
# makes root user's home directory's permissions right.
alias reroot='chown -R root:root /root'
# yes, these are really helpful...